commit:     387359e0e4e74b14da1105089e5dff5e239263e2
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  9 21:18:52 2015 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Wed Dec  9 21:24:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=387359e0

build from source (bug #505608)

Package-Manager: portage-2.2.20.1

 games-action/lugaru/Manifest                       |  1 +
 .../lugaru/files/lugaru-20151204-dir.patch         | 11 ++++
 games-action/lugaru/files/lugaru-9999-dir.patch    | 11 ++++
 games-action/lugaru/lugaru-20151204.ebuild         | 55 ++++++++++++++++++++
 games-action/lugaru/lugaru-9999.ebuild             | 60 ++++++++++++++++++++++
 5 files changed, 138 insertions(+)

diff --git a/games-action/lugaru/Manifest b/games-action/lugaru/Manifest
index d4abb32..2c73e50 100644
--- a/games-action/lugaru/Manifest
+++ b/games-action/lugaru/Manifest
@@ -1 +1,2 @@
+DIST lugaru-20151204.tar.bz2 88950866 SHA256 
dae6a9e8ee70cc965a4299d2062725ce19dc9e4f1ba2a46c9205cb4e138be6b8 SHA512 
8e448b782847376ac10585996a91a571fd005ac51e0e510765a35bf44bfcbb09e566d9a9c3d87277e69511b0f8d74c04edcc4b59f467bed640d8ba7c74045e30
 WHIRLPOOL 
b2bcae57d8bfd13361c42c6d56fa285bc58fcd4bd6fb119931501db66005e5ece98487e413e41d1419c8f0408dc7507efa7f721db7df2b8d8a1572a65c28eb0e
 DIST lugaru-full-linux-x86-1.0c.bin 35539077 SHA256 
fde77b630c15e94e7f9b28fead0baeb233901eb94dd0b8a898c27d3fcf22f040 SHA512 
80bc94d2e3151972ac806d2ab381b10656aa7ed61e20a1cbe9f72be75532b39ef3dde67bd2f05328b8c675c4ea38d1b6ea606b06689abba708ef8ab53f595c19
 WHIRLPOOL 
eed29393a37575cdc3ffeda6336b6de93185d825e6895f5a07bd92c02a900d1a14f9654f8fdbd36d4dd2994d70448a77df8d424cfbd8c11205139e582e5ac7d4

diff --git a/games-action/lugaru/files/lugaru-20151204-dir.patch 
b/games-action/lugaru/files/lugaru-20151204-dir.patch
new file mode 100644
index 0000000..8595084
--- /dev/null
+++ b/games-action/lugaru/files/lugaru-20151204-dir.patch
@@ -0,0 +1,11 @@
+--- Source/OpenGL_Windows.cpp.orig     2015-01-14 23:57:19.799186785 -0500
++++ Source/OpenGL_Windows.cpp  2015-01-14 23:57:36.022643953 -0500
+@@ -1330,7 +1330,7 @@
+ 
+     // !!! FIXME: we could use a Win32 API for this.  --ryan.
+ #ifndef WIN32
+-    chdirToAppPath(argv[0]);
++    chdir("@GENTOO_DIR@");
+ #endif
+ 
+       LOGFUNC;

diff --git a/games-action/lugaru/files/lugaru-9999-dir.patch 
b/games-action/lugaru/files/lugaru-9999-dir.patch
new file mode 100644
index 0000000..8595084
--- /dev/null
+++ b/games-action/lugaru/files/lugaru-9999-dir.patch
@@ -0,0 +1,11 @@
+--- Source/OpenGL_Windows.cpp.orig     2015-01-14 23:57:19.799186785 -0500
++++ Source/OpenGL_Windows.cpp  2015-01-14 23:57:36.022643953 -0500
+@@ -1330,7 +1330,7 @@
+ 
+     // !!! FIXME: we could use a Win32 API for this.  --ryan.
+ #ifndef WIN32
+-    chdirToAppPath(argv[0]);
++    chdir("@GENTOO_DIR@");
+ #endif
+ 
+       LOGFUNC;

diff --git a/games-action/lugaru/lugaru-20151204.ebuild 
b/games-action/lugaru/lugaru-20151204.ebuild
new file mode 100644
index 0000000..bedc3cc
--- /dev/null
+++ b/games-action/lugaru/lugaru-20151204.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils cmake-utils games
+
+DESCRIPTION="3D arcade with unique fighting system and anthropomorphic 
characters"
+HOMEPAGE="https://bitbucket.org/osslugaru/lugaru/wiki/Home";
+SRC_URI="${P}.tar.bz2"
+
+LICENSE="GPL-2+ free-noncomm CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       virtual/glu
+       virtual/opengl
+       media-libs/libsdl[opengl,video]
+       media-libs/openal
+       media-libs/libvorbis
+       virtual/jpeg:0
+       media-libs/libpng:0
+       sys-libs/zlib"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       epatch "${FILESDIR}/${P}-dir.patch"
+       sed -i \
+               -e "s:@GENTOO_DIR@:${GAMES_DATADIR}/${PN}:" \
+               Source/OpenGL_Windows.cpp || die
+}
+
+src_configure() {
+       mycmakeargs=(
+               "-DCMAKE_VERBOSE_MAKEFILE=TRUE"
+               "-DLUGARU_FORCE_INTERNAL_OPENGL=False"
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_install() {
+       dogamesbin "${WORKDIR}/${P}_build/lugaru"
+       insinto "${GAMES_DATADIR}/${PN}"
+       doins -r Data/
+       newicon Source/win-res/Lugaru.png ${PN}.png
+       make_desktop_entry ${PN} Lugaru ${PN}
+       prepgamesdirs
+}

diff --git a/games-action/lugaru/lugaru-9999.ebuild 
b/games-action/lugaru/lugaru-9999.ebuild
new file mode 100644
index 0000000..2c42553
--- /dev/null
+++ b/games-action/lugaru/lugaru-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils cmake-utils mercurial games
+
+EHG_REPO_URI="https://bitbucket.org/osslugaru/lugaru/";
+DESCRIPTION="3D arcade with unique fighting system and anthropomorphic 
characters"
+HOMEPAGE="https://bitbucket.org/osslugaru/lugaru/wiki/Home";
+SRC_URI=""
+
+LICENSE="GPL-2+ free-noncomm CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="
+       virtual/glu
+       virtual/opengl
+       media-libs/libsdl[opengl,video]
+       media-libs/openal
+       media-libs/libvorbis
+       virtual/jpeg:0
+       media-libs/libpng:0
+       sys-libs/zlib"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_unpack() {
+       mercurial_src_unpack
+}
+
+src_prepare() {
+       epatch "${FILESDIR}/${P}-dir.patch"
+       sed -i \
+               -e "s:@GENTOO_DIR@:${GAMES_DATADIR}/${PN}:" \
+               Source/OpenGL_Windows.cpp || die
+}
+
+src_configure() {
+       mycmakeargs=(
+               "-DCMAKE_VERBOSE_MAKEFILE=TRUE"
+               "-DLUGARU_FORCE_INTERNAL_OPENGL=False"
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_install() {
+       dogamesbin "${WORKDIR}/${P}_build/lugaru"
+       insinto "${GAMES_DATADIR}/${PN}"
+       doins -r Data/
+       newicon Source/win-res/Lugaru.png ${PN}.png
+       make_desktop_entry ${PN} Lugaru ${PN}
+       prepgamesdirs
+}

Reply via email to